ambari-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From adorosz...@apache.org
Subject [ambari] branch branch-2.6 updated: AMBARI-22718. ADDENDUM Cannot set security.inter.broker.protocol: SASL_SSL via Blueprint with Kerberos (adoroszlai)
Date Thu, 11 Jan 2018 18:01:37 GMT
This is an automated email from the ASF dual-hosted git repository.

adoroszlai pushed a commit to branch branch-2.6
in repository https://gitbox.apache.org/repos/asf/ambari.git


The following commit(s) were added to refs/heads/branch-2.6 by this push:
     new 2e059c1  AMBARI-22718. ADDENDUM Cannot set security.inter.broker.protocol: SASL_SSL
via Blueprint with Kerberos (adoroszlai)
2e059c1 is described below

commit 2e059c17f03f176e6210519545fe109e5c5944e9
Author: Doroszlai, Attila <adoroszlai@hortonworks.com>
AuthorDate: Thu Jan 11 12:27:24 2018 +0100

    AMBARI-22718. ADDENDUM Cannot set security.inter.broker.protocol: SASL_SSL via Blueprint
with Kerberos (adoroszlai)
---
 .../resources/common-services/KAFKA/0.8.1/package/scripts/params.py  | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

diff --git a/ambari-server/src/main/resources/common-services/KAFKA/0.8.1/package/scripts/params.py
b/ambari-server/src/main/resources/common-services/KAFKA/0.8.1/package/scripts/params.py
index 60e56cd..4ee46b4 100644
--- a/ambari-server/src/main/resources/common-services/KAFKA/0.8.1/package/scripts/params.py
+++ b/ambari-server/src/main/resources/common-services/KAFKA/0.8.1/package/scripts/params.py
@@ -162,10 +162,7 @@ if has_metric_collector:
 kerberos_security_enabled = config['configurations']['cluster-env']['security_enabled']
 
 kafka_kerberos_enabled = (('security.inter.broker.protocol' in config['configurations']['kafka-broker'])
and
-                         ((config['configurations']['kafka-broker']['security.inter.broker.protocol']
in ("PLAINTEXTSASL", "SASL_PLAINTEXT")) or
-                         ((config['configurations']['kafka-broker']['security.inter.broker.protocol']
== "SASL_SSL") and
-                           check_stack_feature(StackFeature.KAFKA_EXTENDED_SASL_SUPPORT,
stack_version_formatted))))
-
+                         (config['configurations']['kafka-broker']['security.inter.broker.protocol']
in ("PLAINTEXTSASL", "SASL_PLAINTEXT", "SASL_SSL")))
 
 kafka_other_sasl_enabled = not kerberos_security_enabled and check_stack_feature(StackFeature.KAFKA_LISTENERS,
stack_version_formatted) and \
                           check_stack_feature(StackFeature.KAFKA_EXTENDED_SASL_SUPPORT, stack_version_formatted)
and \

-- 
To stop receiving notification emails like this one, please contact
['"commits@ambari.apache.org" <commits@ambari.apache.org>'].

Mime
View raw message